Update Product Modifier Value
Updates a modifier value.
Read-Only Fields
- is_default
Setting an option value image
adjusters.image_url is read-only on this endpoint. To replace the image shown on the storefront for the value, upload a new image via Create Product Modifier Image. The upload binds the image to the value automatically; no follow-up call is needed.
is_defaultis derived from the parent modifier configuration and cannot be set on individual values. To change which value is the default, use Update Product Modifier and include the fulloption_valuesarray with the desiredis_defaultflags.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Request
The text display identifying the value on the storefront. Required in a /POST.
The order in which the value will be displayed on the product page. Required in a /POST.
Extra data describing the value, based on the type of option or modifier with which the value is associated. See Option Values for more details.
The unique numeric ID of the value; increments sequentially.
Response
Product modifier option_value.